import { Command, flags } from '@oclif/command';
import execa from 'execa';
import { Repo } from '../../common';
export default class ReposInstall extends Command {
    static description: string;
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        repositories: flags.IOptionFlag<string | undefined>;
        repos_path: flags.IOptionFlag<string>;
        branch: flags.IOptionFlag<string | undefined>;
        link_framework: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        framework_path: flags.IOptionFlag<string>;
    };
    run(): Promise<void>;
    cloneRepository(repo: Repo, branch: string, destination: string): Promise<execa.ExecaReturnValue<string>>;
    linkFrameworkToRepo(repo: Repo, destination: string, frameworkPath: string): Promise<execa.ExecaReturnValue<string>>;
    resolveBranch(): Promise<"stable" | "dev">;
}
